#include <iostream>

using namespace std;

int main()
{
    int n, k, x;
    cin >> n >> k >> x;
    if (k < n) {
            cout << 1 + x << " ";
            for (int i = 0; i < k; i++)
                cout << 1 << " ";
            for (int i = 0; i < n-k-1; i++)
                cout << 1 + x/2 << " ";
    }
    else if (k == n) {
        if (n % 2 == 0) {
            cout << "1 1 ";
            for (int i = 0; i < n/2; i++)
                cout << 1+x;
            for (int i = 0; i < n-(2+n/2); i++)
                cout << 1+x/2;
        }
        else {
            cout << "1 2 " <<  x+1;
            for (int i = 0; i < n/2; i++)
                cout << x+2;
        }
    }
    return 0;
}